Subject: Re: [MOBILE-IP] Comparison of Fast Handoff and Proactive Handoff

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 14 Jul 2000 15:13:40 +0200

Hello Chandana

>  The handoff isnt completed until the MN registers with the
>  "new" FA. Hence the MN has complete control over it. The
>  draft only talks about preparing the "new" FA in
>  anticipation of the arrival of the MN. After the MN arrives
>  in the service area of the "new" FA it is upto it to accept
>  or reject the FA. The MN is free to exercise its preference.

As I wrote in my previous email, at the time when the MN is
free to exercise its preference, the "new" RFA already has a
binding for the MN. The MN may therefore choose to extend this
binding by performing a Registration. The L3 handoff (binding
with new RFA) goes on beforehand and the MN only has the choice
whether to renew the binding or not. I can't see any
"complete control" on the L3 handoff by the MN. The MN can only
react after the binding with the new RFA (L3 handoff) has
already been established.

>
>  >>  > According to my understanding, in terms of spectrum there
>  >>  is no difference
>  >>  > between our approaches. We have the MN register before the
>  >>  handoff while
>  >>  > you have the MN register after the handoff. Therefore the
>  >>  same amount of
>  >>  > messages (advertisements and registrations) are sent over
>  >>  the air, just the
>  >>  > timing is different.
>
>  Actually, your draft requires that a total of 5 messages
>  need to be sent before the MN "can" recieve service from
>  the new FA.

Our draft is no different in message exchanges to Mobile IP
and Regional Registrations. There is an advertisement, a
(Regional) Registration Request and Reply. It wouldn't
be Mobile IP if these messages were not present.
What are the other two messages you are referring to?

> On the other hand we require only 2 messages
> sent before the MN "can" recieve service. It is upto the MN
>  to decide whether it want to accept the service or not.

Again, the new FA already has a binding for the MN. The MN may
only decide whether to renew this binding, but it can't stop the
new FA from providing service to it (i.e. receiving and buffering
the MN's data) for at least a short time. So it can't really
decide whether it wants to accept the service, it can only decide
whether it wants to renew the binding and receive data from the FA.

>
>  >>  But how long does it take for the MN to detect that it needs
>  >>  to perform the
>  >>  handoff?
>  >
>  >With appropriate movement detection (which is probably the most
>  >important factor) this can be very fast. That's why we discuss
>  >this in our draft.
>  >
>
>  While your draft proposes the mobile handle this, we
>  propose the network handle it.

That is not correct, our draft allows both the network and the MN
to control the L3 handoff, while proactive FA does not allow the MN
to control the L3 handoff (establishment of binding with new FA).
Please refer to my previous email.

>  >Agreed. What you want to minimise is the disruption interval
>  >due to a handoff.
>
>  The issue is to minimize the interval of service disruption
>  irrespective of whether it is due to a handoff or not.

I can't understand your point. We are working on L3 MIP handoffs.

Regards,
Karim

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 14 Jul 2000 07:11:27 -0700

> already been established.

Yes, but again, keep in mind that this can only occur *if* the FA is under the
same administrative control as the GFA, so to be honest with you, I don't see
the problem.

BTW, when Regional Registration is involved, the Mobile never has complete
control anyways, since the hierarchy may be hidden from the mobile. Further,
as a mobile moves around the wireless network, you are making assumptions that
it knows a priori about certain routers, and where it wants to get service
from, I would argue that in the real world, people want service, and in many
cases don't know where it is coming from. This is no different. Certainly a
user may care about the carrier, but a specific router within a carrier's
network??

Perhaps your point is valid in a LAN or campus environment.

> whether it wants to renew the binding and receive data from the FA.

It is always free to get service from another Foreign Agent, or continue
receiving service from the old FA until the signal fades away. Ultimately, the
mobile has control, but network is simply trying to assist.

> Please refer to my previous email.

Please refer to my above response.